/*
 * ChooseVerse.h
 *
 * header file for ChooseVerse
 *
 * This wizard-generated code is based on code adapted from the
 * stationery files distributed as part of the Palm OS SDK 4.0.
 *
 * Copyright (c) 1999-2000 Palm, Inc. or its subsidiaries.
 * All rights reserved.
 */
 
#ifndef CHOOSEVERSE_H_
#define CHOOSEVERSE_H_

/*********************************************************************
 * Internal Constants
 *********************************************************************/

#define prefsCreatorID			'BSwb'

// global variable
typedef struct _global {
	Char** bookNames;
	MemHandle namesResource;

	FieldType* fldC;
	FieldType* fldV;

	ScrollBarType* sbC;
	ScrollBarType* sbV;

	ControlType* okB;

	UInt16 oldBookNum;
	UInt16 bookNum;
	UInt16 chapterNum;
	UInt16 verseNum;

	UInt16 status;

	UInt16 FirstListBook[7];
	UInt16 refNum;
	UInt32 clientContext;

	UInt16 cancelled;
} _global;

extern void LaunchBible(_global *g);
extern void GetCurrentBibleRef(_global *g, bswReference * refP);

extern Boolean mainFormEventHandler(EventPtr eventP);
extern Boolean appHandleEvent(EventPtr event);
extern Boolean startApp();
extern void stopApp();

extern Err SelectReference(bswReference * refP);
extern Err NormalLaunch();

#endif /* CHOOSEVERSE_H_ */
